Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453060 - Ruby on Rails: strange errors, segmentation faults and double free or corruption
Summary: Ruby on Rails: strange errors, segmentation faults and double free or corruption
Keywords:
Status: CLOSED DUPLICATE of bug 452825
Alias: None
Product: Fedora
Classification: Fedora
Component: ruby
Version: 9
Hardware: i386
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-27 00:10 UTC by Efren Yevale
Modified: 2008-06-27 01:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-27 01:51:07 UTC


Attachments (Terms of Use)

Description Efren Yevale 2008-06-27 00:10:40 UTC
Description of problem:
Strange behaviour on Rails 2.1.0 when upgrading using yum.

Some times errors arise like ("wrong argument type Fixnum (expected Proc)"),
some times Webrick and Mongrel crashes due to segmentation faults
("form_tag_helper.rb:431: [BUG] Segmentation fault") and some other times ruby
gets frozen with double free or corruption ("*** glibc detected *** ruby: double
free or corruption (out): 0x094200c0 ***").

Version-Release number of selected component (if applicable):
ruby 1.8.6 (2008-06-20 patchlevel 230) [i386-linux]

How reproducible:
Upgrade ruby to ruby-1.8.6.230-2.fc9.i386.

Steps to Reproduce:
1. Install previous Ruby from repositories
2. Install rubygems from www.rubygems.org
3. Install Rails 2.1.0
4. Upgrade Ruby to ruby-1.8.6.230-2.fc9.i386
  
Actual results:
Crashes and unexpected behaviour on Rails.

Expected results:
Rails running normally.

Additional info:
Found related information in the comments on
http://weblog.rubyonrails.org/2008/6/21/multiple-ruby-security-vulnerabilities

Comment 1 Akira TAGOH 2008-06-27 01:51:07 UTC

*** This bug has been marked as a duplicate of 452825 ***


Note You need to log in before you can comment on or make changes to this bug.